(define (script-fu-create-layers-reiner-rubin-gimp24 img layer prefix)
    (let* ((width) (height) (layer-prefix) (new-layer))

    (set! width (car (gimp-drawable-width layer)))
    (set! height (car (gimp-drawable-height layer)))

    (if (eqv? prefix "")
        (set! layer-prefix "")
        (set! layer-prefix (string-append prefix " "))
    )

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Eye&Eyebrow") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Mouth") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Brown") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Red") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Hair") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Skin") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Shoes") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Green") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Rose") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Reiner Rubin - Tights") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)
    )
)

(script-fu-register
    "script-fu-create-layers-reiner-rubin-gimp24"
    "<Image>/Script-Fu/陰陽師/レイヤーセット真紅"
    "Create layers for Reiner Rubin"
    "Penguin GIMPer"
    "Penguin GIMPer"
    "Jul 2007"
    "RGB*"
    SF-IMAGE        "Image"     0
    SF-DRAWABLE     "Drawable"  0
    SF-STRING       "Layer Name Prefix" "")
