(define (script-fu-create-layers-lapislazuri-stern-gimp24 img layer prefix)
    (let* ((width) (height) (layer-prefix) (new-layer))

    (set! width (car (gimp-drawable-width layer)))
    (set! height (car (gimp-drawable-height layer)))

    (if (eqv? prefix "")
        (set! layer-prefix "")
        (set! layer-prefix (string-append prefix " "))
    )


    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Eye&Eyebrow") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Mouth") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Black") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Blue") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Hair") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Skin") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Shoes") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - Tights") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)

    (set! new-layer (car (gimp-layer-new img width height RGBA-IMAGE (string-append layer-prefix "Lapislazuri Stern - White") 100 NORMAL-MODE)))
    (gimp-drawable-fill new-layer TRANS-IMAGE-FILL)
    (gimp-image-add-layer img new-layer -1)
    (gimp-image-lower-layer img new-layer)
    )
)

(script-fu-register
    "script-fu-create-layers-lapislazuri-stern-gimp24"
    "<Image>/Script-Fu/陰陽師/レイヤーセット蒼星石"
    "Create layers for Lapislazuri Stern"
    "Penguin GIMPer"
    "Penguin GIMPer"
    "Jul 2007"
    "RGB*"
    SF-IMAGE        "Image"     0
    SF-DRAWABLE     "Drawable"  0
    SF-STRING       "Layer Name Prefix" "")
